export default Logcat;
export type LogcatOpts = {
    /**
     * The log print format, where <format> is one of:
     * brief process tag thread raw time threadtime long
     * `threadtime` is the default value.
     */
    format?: string | undefined;
    /**
     * Series of `<tag>[:priority]`
     * where `<tag>` is a log component tag (or `*` for all) and priority is:
     * V    Verbose
     * D    Debug
     * I    Info
     * W    Warn
     * E    Error
     * F    Fatal
     * S    Silent (supress all output)
     *
     * `'*'` means `'*:d'` and `<tag>` by itself means `<tag>:v`
     *
     * If not specified on the commandline, filterspec is set from `ANDROID_LOG_TAGS`.
     * If no filterspec is found, filter defaults to `'*:I'`
     */
    filterSpecs?: string[] | undefined;
};
declare class Logcat extends EventEmitter {
    constructor(opts?: {});
    adb: any;
    clearLogs: any;
    debug: any;
    debugTrace: any;
    maxBufferSize: any;
    logs: any[];
    logIdxSinceLastRequest: number;
    startCapture(opts?: {}): Promise<any>;
    proc: SubProcess | null | undefined;
    outputHandler(output: any, prefix?: string): void;
    stopCapture(): Promise<void>;
    getLogs(): any[];
    getAllLogs(): any[];
    clear(): Promise<void>;
}
import { EventEmitter } from 'node:events';
import { SubProcess } from 'teen_process';
//# sourceMappingURL=logcat.d.ts.map